

<!DOCTYPE html>
<html lang="ru">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
  


<!-- CSS only -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

<!-- JS, Popper.js, and jQuery -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>



<link rel="stylesheet" href="style.css" type="text/css"/>
<title>web4</title>
</head>
<body>
<header class="p-2">
<div class="container-lg">
<img class="logo" src="https://pngimg.com/uploads/sun/sun_PNG13410.png" alt="Logo" style="width: 50px" />
<h1 class="header">Site name</h1>
</div>
</header>
<nav class="container-lg mx-auto">
<ul class="row mx-auto pl-3">
<li class="col-12 col-lg m-1"><a href="#links" title="ссылки">Ссылки</a></li>
<li class="col-12 col-lg m-1"><a href="#table" title="таблица">Таблица</a></li>
<li class="col-12 col-lg m-1"><a href="#form" title="форма">Форма</a></li>
</ul>
</nav>
<div class="container-lg m-auto">
<div class="row row-cols-1">
<section id="links" class="col py-3 px-2 px-lg-4 my-2">
<h2>Ссылки:</h2>
<ol>
    <li><a href="http://example.com/">Абсолютная гиперссылка на главную страницу сайта example.com</a></li>
    <li><a href="https://example.com/">Абсолютная гиперссылка на главную сайта example.com в протоколе https</a></li>
    <li><a href="ftp://example.com/File.txt">Ссылка на файл на сервере FTP без авторизации</a></li>
    <li><a href="ftp://user:password@example.com/File.txt">Ссылка на файл на сервере FTP с авторизацией</a></li>
    <li><a href="https://ru.wikipedia.org/wiki/Дифференциальное_уравнение#Терминология_и_классификация">Ссылка на фрагмент страницы некоторого сайта</a></li>
    <li><a href="#form">Ссылка на фрагмент текущей страницы</a></li>
    <li><a href="https://www.youtube.com/watch?v=h_D3VFfhvs4&t=1">Ссылка с двумя параметрами в URL</a></li>
    <li>Cписок ссылок основной навигации сайта с подписями title <br>
      <ol>
        <li><a href="#form">Заполните форму</a></li>
        <li><a href="#table">Таблица</a></li>
      </ol>
    </li>
    <li><a>Ссылка без href</a></li>
    <li><a href="">Ссылка с пустым href</a></li>
    <li><a href="http://example.com/" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a></li>
    <li>
      <!--noindex-->
      <a href="http://example.com/">Ссылка, запрещенная для индексации поисковиками</a>
      <!--/noindex-->
    </li>
    <li><p>
      Контекстная ссылка находится <a href="http://google.com/">здесь</a>.
    </p></li>
    <li>
      <a href = "http://google.com/">
      <img src = "http://pngimg.com/uploads/sun/sun_PNG13451.png" width = "50" height="50" alt = "Click here" title = "Ссылка 14">
      </a>
    </li>
    <li>
      <img src="https://avatars.mds.yandex.net/get-images-cbir/2928596/PCrWn2fy4ZAmkWHiI3zPbw/ocr" usemap="#image-map" alt="Ссылка" title="Ссылки из прямоугольных и круглых областей картинки" width = "200" />

      <map name="image-map">
        <area shape="circle" coords="30,29,20" alt="circle" title="Круг" href="https://www.webmath.ru/poleznoe/formules_14_5.php">
        <area shape="rect" coords="75,14,108,44" alt="square" title="Квадрат" href="https://www.webmath.ru/poleznoe/formules_14_6.php">
        <area shape="rect" coords="75,87,126,110" alt="rectangle" title="Прямоугольник" href="https://www.webmath.ru/poleznoe/formules_14_7.php">
      </map>
    </li>
    <li><a href="./page1.html">Относительная ссылка на страницу в текущем каталоге</a></li>
    <li><a href="./about/page2.html">Относительная ссылка на страницу в каталоге about</a></li>
    <li><a href="../page3.html">Относительная ссылка на страницу в каталоге уровнем выше текущего</a></li>
    <li><a href="../../page4.html">Относительная ссылка на страницу в каталоге двумя уровнями выше</a></li>
    <li><a href="/">Сокращенная ссылка на главную</a></li>
    <li><a href="/index1/index2/page1.html">Сокращенная ссылка на внутреннюю</a></li>
  </ol>
</section>
<section id="table" class="col py-3 px-2 px-lg-4 my-2 mx-auto order-lg-0">
<h2>Таблица:</h2>
<table class="mx-auto">
<tr>
<th class="p-1 p-sm-2">Столбец 1</th>
<th class="p-1 p-sm-2">Столбец 2</th>
<th class="p-1 p-sm-2">Столбец 3</th>
</tr>
<tr>
<td class="p-1 p-sm-2" colspan="3">Объединённые ячейки<br />1, 2, 3</td>
</tr>
<tr>
<td class="p-1 p-sm-2">Ячейка 4</td>
<td class="p-1 p-sm-2">Ячейка 5</td>
<td class="p-1 p-sm-2">Ячейка 6</td>
</tr>
<tr>
<td class="p-1 p-sm-2">Ячейка 7</td>
<td class="p-1 p-sm-2">Ячейка 8</td>
<td class="p-1 p-sm-2">Ячейка 9</td>
</tr>
<tr>
<td class="p-1 p-sm-2">Ячейка 10</td>
<td class="p-1 p-sm-2">Ячейка 11</td>
<td class="p-1 p-sm-2">Ячейка 12</td>
</tr>
<tr>
<td class="p-1 p-sm-2">Ячейка 13</td>
<td class="p-1 p-sm-2">Ячейка 14</td>
<td class="p-1 p-sm-2">Ячейка 15</td>
</tr>
</table>
</section>
<section id="form" class="col py-3 px-2 px-lg-4 my-2">
<h2>Форма:</h2>
  <form action="URL_отправки_данных"
    method="POST">
  <label>
    Имя<br />
    <input name="name"
      value="Елена"/>
  </label><br />

  <label>
    E-mail:<br />
    <input name="email"
      value="text@example.com"
      type="email" />
  </label><br />

  <label>
    Дата рождения:<br />
    <input name="field-date"
      value="1002-09-09"
      type="date"/>
  </label><br />

  Пол:<br />
  <label><input type="radio" 
      name="gender" value="male" />
      мужской
  </label>
  <label><input type="radio"  checked="checked"
      name="gender" value="female" />
      женский
  </label><br />

  Количество конечностей:<br />
  <label><input type="radio"
      name="limbs" value="0" />
      0
  </label>
  <label><input type="radio"
      name="limbs" value="1" />
      1
  </label>
  <label><input type="radio"
      name="limbs" value="2" />
      2
  </label>
  <label><input type="radio"
      name="limbs" value="3" />
      3
  </label>
  <label><input type="radio" checked="checked"
      name="limbs" value="4" />
      4
  </label><br />

  <label>
      Сверхспособности:
      <br />
      <select name="superpow" size = "3" multiple>
        <option value="immortality">Бессмертие</option>
        <option selected value="passing_through_walls">Прохождение сквозь стены</option>
        <option value="leviatation">Левитация</option>
      </select>
  </label><br />

  <label>
      Биография:<br />
      <textarea name="biography">Родилась осенью ...</textarea>
  </label><br />

  <br />
  <label><input type="checkbox"
      name="contract" />
      С контрактом ознакомлена</label><br /> 
  <input id="sumbit" type="submit" value="Отправить" />
  </form>
</section>
</div>
</div>
<footer class="px-5 py-2">
(c) Елена Молянова 2020
</footer>
</body>
</html>
